<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="version">
    <form class="ui form" id="version-form" method="post" th:object="${release}">
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{application.id}" />
      <input type="hidden" th:field="*{created}" />
      <input type="hidden" th:field="*{createdBy}" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_RELEASES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RELEASE}}"></span>
      </h2>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_VERSION}}, 
                                                                   field = 'version',
                                                                   required = true,
                                                                   placeholder = '',
                                                                   max = 99,
                                                                   min = 0,
                                                                   columnsize = 'four wide'
                                                                   )" />
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MAJOR}}, 
                                                                   field = 'major',
                                                                   required = true,
                                                                   placeholder = '',
                                                                   max = 99,
                                                                   min = 0,
                                                                   columnsize = 'four wide'
                                                                   )" />
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MINOR}}, 
                                                                   field = 'minor',
                                                                   required = false,
                                                                   placeholder = '',
                                                                   max = 999,
                                                                   min = 0,
                                                                   columnsize = 'four wide'
                                                                   )" />
        <th:block th:replace="common/fragments/input :: number(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVISION}}, 
                                                                   field = 'revision',
                                                                   required = false,
                                                                   placeholder = '',
                                                                   max = 999,
                                                                   min = 0,
                                                                   columnsize = 'four wide'
                                                                   )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                     icon1text =${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                     icon1url = '',
                                                                     )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>